Bug 176620 - libwmf can't convert wmfs due to font problem
libwmf can't convert wmfs due to font problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwmf (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-27 14:01 EST by Luciano Rocha
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.2.8.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 08:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
one possible fix (hey, it works...) (343 bytes, patch)
2005-12-27 14:04 EST, Luciano Rocha
no flags Details | Diff
wmf example (384.68 KB, application/octet-stream)
2005-12-27 14:08 EST, Luciano Rocha
no flags Details

  None (edit)
Description Luciano Rocha 2005-12-27 14:01:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 CentOS/1.0.7-1.4.1.centos4 Firefox/1.0.7

Description of problem:
libwmf seems to fail when searching for some fonts (compiled with debug):

player.c (52): ~~~~~~~~wmf_player_init
wmf_api_create returned with wmf_E_None.
wmf_file_open returned with wmf_E_None.
player.c (89): ~~~~~~~~wmf_scan
player.c (359): ~~~~~~~~WmfPlayMetaFile
font.c (1806): /usr/share/fonts/default/Type1/n021003l.pfb
font.c (1806): /usr/share/fonts/default/Type1/n021003l.afm
font.c (1704): /usr/share/fonts/default/Type1/n021003l.pfb
font.c (1705): Adobe Standard Encoding
player/coord.h (140): map_mode: MM_TEXT
player/meta.h (3147): Non-null pen style...
font.c (1450): Unexpectedly short font name?
player/meta.h (3378): bailing...
player.c (1246): bailing...
player.c (146): bailing...
wmf_scan returned with wmf_E_Glitch.


Version-Release number of selected component (if applicable):
libwmf-0.2.8.3 libwmf-0.2.8.4

How reproducible:
Always

Steps to Reproduce:
1. wmf2gd example0.wmf -o ex.png

  

Actual Results:  libwmf creates an empty output file

Expected Results:  a png file

Additional info:

FC3, FC4, FC Devel, RHEL 4, RHEL 3 all have this problem.
Comment 1 Luciano Rocha 2005-12-27 14:04:05 EST
Created attachment 122603 [details]
one possible fix (hey, it works...)
Comment 2 Luciano Rocha 2005-12-27 14:08:23 EST
Created attachment 122604 [details]
wmf example
Comment 3 Luciano Rocha 2005-12-27 14:11:09 EST
1. the same source (without any patches) works on ubuntu
2. wv (in extras) doesn't include support for wmf->{png,jpg}. Not that it
matters, with this bug...
Comment 4 Caolan McNamara 2006-01-03 08:01:53 EST
The wmf claims it has a "fontname" field, but it's full of zeros. Adding a
fallback font for such circumstances seems reasonable. Done for rawhide

Note You need to log in before you can comment on or make changes to this bug.